use leptos::prelude::*;

#[leptos::component]
pub fn Wall() -> impl leptos::IntoView {
    let cells = (1..=(12 * 12))
        .map(|i| {
            let i = i.to_string();
            view! {
                <div class="aspect-square rounded border-2 border-dashed border-sky-500 bg-indigo-100">
                    {i}
                </div>
            }
        })
        .collect_view();

    leptos::view! {
        <div class="container mx-auto border">
            <div class="grid grid-rows-4 grid-cols-12 gap-4">{cells}</div>
        </div>
    }
}
